<?php
/*
Fast Warn 1.0 - A fast, free and easy application for managing a warning message or alert. 
(C) 2010 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Feed is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/



function strip_onlyfw($str, $tags, $stripContent = false) { 
    $content = ''; 
    if(!is_array($tags)) { 
        $tags = (strpos($str, '>') !== false ? explode('>', str_replace('<', '', $tags)) : array($tags)); 
        if(end($tags) == '') array_pop($tags); 
    } 
    foreach($tags as $tag) { 
        if ($stripContent) 
             $content = '(.+</'.$tag.'[^>]*>|)'; 
         $str = preg_replace('#</?'.$tag.'[^>]*>'.$content.'#is', '', $str); 
    } 
    return $str; 
} 
//$str = '<font color="red">red</font> text'; 
//$tags = 'font'; 
//$a = strip_onlyfw($str, $tags); // strips html tags + attributes but leaves contents - result: "red text" 
//$b = strip_onlyfw($str, $tags, true); // strips html tags + attrubutes + contents - result: "text"


function publishfw($root, $rooturl, $siteurl, $website_title, $domain, $website_desc, $feed_file, $search, $replace, $xml_title) {
		$xml = str_replace($siteurl, '', $feed_file);
		$xml = $rooturl.$xml;
		$website_desc = htmlentities($website_desc, ENT_QUOTES);
		$xml_data_start = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<rss version=\"2.0\" xmlns:atom=\"http://www.w3.org/2005/Atom\">\n<channel>\n<atom:link href=\"$feed_file\" rel=\"self\" type=\"application/rss+xml\"/>\n<title>$website_title</title>\n<link>$domain</link>\n<description>$website_desc</description>\n";
		$fpx = fopen($xml,'w+');
		fwrite($fpx,$xml_data_start);
		$entry_title = date('Y_m_d_H_i').'_'.time(true);
		$created = explode("_", $entry_title);   
		$month = date('M');
		$day = $created[2];
		$year = $created[0];
		$time = date("H:i:s", $created[5]);
		$content_entry = file_get_contents($root.'index.txt');
		$description = str_replace($search, $replace, $content_entry);
		$description = htmlentities($description, ENT_QUOTES);
		$xml_data = "<item>\n<title>$xml_title</title>\n<description>$description</description>\n<guid isPermaLink=\"false\">$entry_title</guid>\n<link>$siteurl</link>\n<pubDate>$day $month $year $time GMT</pubDate>\n</item>\n";
		$fpx = fopen($xml,'a+');
		fwrite($fpx,$xml_data);
		$xml_data_end = "</channel>\n</rss>";
		$fpx = fopen($xml,'a+');
		fwrite($fpx,$xml_data_end);
		fclose($fpx);
}


function unpublishfw($rooturl, $siteurl, $website_title, $domain, $website_desc, $feed_file, $xml_title, $inactive_msg) {
		$xml = str_replace($siteurl, '', $feed_file);
		$xml = $rooturl.$xml;
		$xml_data_start = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<rss version=\"2.0\" xmlns:atom=\"http://www.w3.org/2005/Atom\">\n<channel>\n<atom:link href=\"$feed_file\" rel=\"self\" type=\"application/rss+xml\"/>\n<title>$website_title</title>\n<link>$domain</link>\n<description>$website_desc</description>\n";
		$fpx = fopen($xml,'w+');
		fwrite($fpx,$xml_data_start);
		$entry_title = date('Y_m_d_H_i').'_'.time(true);
		$created = explode("_", $entry_title);   
		$month = date('M');
		$day = $created[2];
		$year = $created[0];
		$time = date("H:i:s", $created[5]);
		$inactive_msg = htmlentities($inactive_msg, ENT_QUOTES);
		$xml_data = "<item>\n<title>$xml_title</title>\n<description>$inactive_msg</description>\n<guid isPermaLink=\"false\">$entry_title</guid>\n<link>$siteurl</link>\n<pubDate>$day $month $year $time GMT</pubDate>\n</item>\n";
		$fpx = fopen($xml,'a+');
		fwrite($fpx,$xml_data);
		$xml_data_end = "</channel>\n</rss>";
		$fpx = fopen($xml,'a+');
		fwrite($fpx,$xml_data_end);
		fclose($fpx);
}


?>