<?php 
/*
Fast Warn 1.0 - A fast, free and easy application for managing a warning message or alert. 
(C) 2010 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Warn is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

ob_start();
require('fast_warn/fast_warn_login.php');
?>


<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />

<title><?php echo $dynamic_title ;?> : <?php echo $website_title ;?></title>
<link rel="stylesheet" href="fast_warn/styles/fast_warn.css" />
<!--[if IE]><link rel="stylesheet" href="fast_warn/styles/fast_warn_ie.css" /><![endif]-->
<link rel="stylesheet" href="default_site_styles.css" /> 
<script src="fast_warn/tinymce/tinymce/jscripts/tiny_mce/tiny_mce.js"></script>
<script src="fast_warn/js/fast_warn_toolbar.js"></script> 

</head> 
<body>

<h2 class="heading">Fast Warn Administration : <?php echo $website_title?></h2>

<div class="fast-warn-outer">

<?php if (!isset($_SESSION['fwusername'])) 
	{ 
	?>
	<div class="fast-warn-container">
		<p class="center">Sorry, you do not have permission to access this area. Please login.</p>
		<?php if (isset($login_error)) { echo $login_error; } ?>
		<br/>
		<div class="login-box-outer">
			Admin Login: <img src="fast_warn/images/lock.png" alt="Admin Login"/>
				<div class="login-box">
					<form method="post" action="<?php echo $_SERVER['PHP_SELF'];?>?action=login">
					Username:<br/><input type="text" name="name" size="15" style="margin:2px auto;"/><br/>
					Password:<br/><input type="password" name="pass" size="15" style="margin:2px auto;"/><br/>
					<input type="image" src="fast_warn/images/login.gif" name="submit_login" alt="Login" title="Login" class="login-submit"/>
					</form>
				</div>
		</div>
	<?php 
	} 

include('fast_warn/fast_warn_admin.php');

if(isset($_SESSION['fwusername'])) 
	{ 
	?>
	<table class="tips">
    	    <tr>
		<td class="activate">
			To <b>Activate</b> the Warning Message; 
			<ol>
				<li>Type your message in the window above</li>
				<li>Click the <img src="fast_warn/images/save.gif" align="middle" class="save"/> icon to save changes</li>
				<li>Edit and resave as required</li>
			</ol>
		</td>
		<td class="deactivate">		
			To <b>Deactivate</b> the Warning Message; 
			<ol>
				<li>Click the <img src="fast_warn/images/delete.gif" align="middle" class="del"/> icon in the window above</li>
				<li>Confirm your action by clicking "OK" on the pop-up ("Cancel" will close the pop-up)</li>
			</ol>
		</td>
		<td class="logout-info">
			To <b>Logout</b> of the administration area; 
			<ol>
				<li>Click the <img src="fast_warn/images/lock_open.png" align="middle" class="lout"/> icon in the top-right corner<br/>&nbsp;</li>
			</ol>
			<p><i>Please remember to logout after every use!</i></p>
		</td> 
    	    </tr>
	</table>


	<div class="fast-warn-container">
		<h2>Live Example</h2>
		<p>This is how the Warning Message currently looks;</p>

		<?php 
		$important_notice = file_get_contents('fast_warn/_content/index.txt');
		if ($important_notice != '') 
			{ 
			?>

			<div class="editable">
				<table class="cm-block">
		    	    	    <tr>
					<td class="cm-tl"></td>
					<td class="cm-tm"><img src="default_site_images/exclamation.png" alt="Warning"><span><?php echo $xml_title;?></span></td>
					<td class="cm-tr"></td>
		    	    	    </tr>
		    	    	    <tr>
					<td class="cm-ml"></td>
					<td class="cm-mm">
						<div class="cm-message">
							<?php echo $important_notice; ?>
						</div>
						<img src="default_site_images/cross.png" title="Close">
					</td>
					<td class="cm-mr"></td>
		    	    	    </tr>
		    	    	    <tr>
					<td class="cm-bl"></td>
					<td class="cm-bm"></td>
					<td class="cm-br"></td>
		    	    	    </tr>
				</table>
			</div>

		<?php 
			} 
			else 
			{ 
			?>
			<p class="cm-empty">The Warning Message box is empty - There is nothing to display!</p>
	<?php 
			} 
	echo '</div>';
		} 
	?>


	<div class="last-updated examples">
	<b>Warning Message as it could be installed on a website:</b> <a href="example.php" target="_blank" class="link">Sample Web Page</a> | <a href="warning_message.xml" target="_blank" class="link">XML Newsfeed</a>
	</div>

	<div class="last-updated copyright">
		<p>Copyright &copy; 2010-<?php echo date('Y')?> Beverley Hooton &mdash; <a href="http://fast-apps.co.uk/" target="_blank" title="Visit the Fast Apps website" class="link">Fast Apps</a></p>
	</div>

</div>

</div>

</body>
</html>